#!/bin/bash

# Usage: ./generate_raw_data_heap.sh [niters]

nitrs=1
if [ "$1" != "" ]; then
    nitrs="$1"
fi

cd ..
mkdir -p repro/data
for itr in $(seq 1 $nitrs); do
    for size in 16 18 20 22 24 26; do
        ops=$((size * 6))
        now=`date`; echo "$now: Running heap extract on heapsize of 2^${size} ..."
	Docker/run-experiment ${size} ${ops} >> repro/data/log_${size}_1_heap.out
    done
done            
