#!/bin/bash

# Usage: ./generate_raw_data_bs.sh [niters]

nitrs=1
if [ "$1" != "" ]; then
    nitrs="$1"
fi

cd ..
mkdir -p repro/data
for itr in $(seq 1 $nitrs); do
    for size in 16 18 20 22 24 26; do
        now=`date`; echo "$now: Running 1 search on DB of size 2^${size} ..."
        Docker/run-experiment ${size} ${size} >> repro/data/log_${size}_1_bs.out
    done
done
